Package org.apache.any23.extractor.yaml

## Class YAMLProcessorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.any23.extractor.yaml.YAMLProcessorException

- All Implemented Interfaces:
    `Serializable`

      public class YAMLProcessorException
      extends RuntimeException

  Author:
    Jacek Grzebyta (grzebyta.dev [at] gmail.com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `YAMLProcessorException()` |
    `YAMLProcessorException​(Object reason)` |
    `YAMLProcessorException​(Object reason, String message)` |
    `YAMLProcessorException​(Object reason, String message, Throwable cause)` |
    `YAMLProcessorException​(Object reason, String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)` |
    `YAMLProcessorException​(Object reason, Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getReason()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### YAMLProcessorException

          public YAMLProcessorException()

    - #### YAMLProcessorException

          public YAMLProcessorException​(Object reason)

    - #### YAMLProcessorException

          public YAMLProcessorException​(Object reason,
                                        String message)

    - #### YAMLProcessorException

          public YAMLProcessorException​(Object reason,
                                        String message,
                                        Throwable cause)

    - #### YAMLProcessorException

          public YAMLProcessorException​(Object reason,
                                        Throwable cause)

    - #### YAMLProcessorException

          public YAMLProcessorException​(Object reason,
                                        String message,
                                        Throwable cause,
                                        boolean enableSuppression,
                                        boolean writableStackTrace)

  - ### Method Detail

    - #### getReason

          public Object getReason()